Certain requirements must be met in order for Support.com® Cloud users (see Roles; opens a new article)  and consumers to be able to use the application.

Note: Support.com Cloud is designed to be used with third-party products and services as described below. These products and services must be officially supported by their respective vendors and must also be well-maintained by the end user, meaning that all patches and updates must be installed.

Application User Requirements

Users must meet the following system requirements in order to access Support.com Cloud and perform all functions, including running Sessions with consumers:

  • Browser
    • Microsoft Internet Explorer: Version 11 or later. Notes: PDF import is not supported on this browser. Internet Explorer 10 is not supported. A plug-in is required to use SeeSupport on supported IE browser versions.
    • Google Chrome: Most recent three versions
    • Mozilla Firefox: Most recent three versions
    • Apple Safari: Version 8.0 or later. Note: SeeSupport is not supported on this browser.

  • Operating System
    • Microsoft Windows®: Windows Versions 7, 8.0, 8.1 or 10, both 32-bit and 64-bit are supported.
    • Mac® OS: Snow Leopard (10.6), Lion (10.7), Mountain Lion (10.8), Mavericks (10.9), or Yosemite (10.10), Sierra (10.12.1); 64-bit supported.

  • Resolution
    • Navigator: 1366x768 (minimum); 1920x1080 (recommended)
    • Designer/Analytics/Admin: 1366x768 minimum

back to top

Consumer Requirements

Consumers must meet the following system requirements in order to connect to a Support.com Cloud Session and receive all available support options from the Agent:

  • Operating System
    • Microsoft Windows: Windows 10, Vista, 7, 8.0, or 8.1 (32-bit or 64-bit), XP SP3 (32-bit only)
    • Mac OS: Snow Leopard (10.6), Lion (10.7), Mountain Lion (10.8), Mavericks (10.9), or Yosemite (10.10); 64-bit supported
    • Android®: 3.x, 4.0.x, 4.1.x, 4.2.x, 4.4.x, or 5.x.x.
    • iOS: 8.0.x or 9.0.x
  • Browser
    • Microsoft Internet Explorer: Version 8 or later
    • Microsoft Edge: Version 20 or later
    • Google Chrome: Version 37 or later
    • Mozilla Firefox: Version 32 or later
    • Apple Safari: Version 6.2 or later

  • Requirements for SeeSupport consumers:
    • Device OS: Android 4.4 and above or iOS 8 and above.
    • Internet Connection: 4G/LTE or WiFi
    • Minimum Bandwidth: 600 kbps

back to top

General Requirements

Both users and consumers must meet the following additional requirements:

  • Broadband Internet connection with minimum speed 256 Kbps (such as via ISDN, DSL, cable modem, or T1)
  • Pentium 4 CPU
  • 4GB of RAM (user) or 1GB of RAM (consumer)

back to top